scala.runtime
class BoxedArray

[source: `scala/runtime/BoxedArray.scala`]

`abstract` `class` BoxedArray
  `extends` Array0[Any]

  A class representing `Array[T]`

Author
  Martin Odersky, Stephane Micheloud
Version
  1.0

Direct Known Subclasses:
  BoxedAnyArray, BoxedBooleanArray, BoxedByteArray, BoxedCharArray, BoxedDoubleArray, BoxedFloatArray, BoxedIntArray, BoxedLongArray, BoxedObjectArray, BoxedShortArray

Method Summary
`override final def` | ++ [b >: Any](that : Iterable[b]) : Array[b] Appends two iterable objects.
`abstract def` | apply (index : Int) : Any The element at given index
`def` | copyFrom (src : AnyRef, from : Int, to : Int, len : Int) : Unit
`def` | copyTo (from : Int, dest : AnyRef, to : Int, len : Int) : Unit
`override def` | copyToArray [B](xs : Array[B], start : Int) : Unit Fills the given array `xs` with the elements of this sequence starting at position `start`.
`final def` | deepEquals (that : Any) : Boolean
`final def` | deepMkString (start : java.lang.String, sep : java.lang.String, end : java.lang.String) : java.lang.String
`final def` | deepMkString (sep : java.lang.String) : java.lang.String
`final def` | deepToString : java.lang.String
`override def` | dropWhile (p : (Any) => Boolean) : Projection[Any] Returns the longest suffix of this sequence whose first element does not satisfy the predicate `p`.
`override def` | elements : Iterator[Any] Creates a new iterator over all elements contained in this object.
`override final def` | flatMap [b](f : (Any) => Iterable[b]) : Array[b] Applies the given function `f` to each element of this sequence, then concatenates the results.
`def` | indices : Array[Int] Returns an array that contains all indices of this array
`override def` | isDefinedAt (x : Int) : Boolean Is this partial function defined for the index `x`?
`abstract def` | length : Int The length of the array
`override final def` | map [b](f : (Any) => b) : Array[b] Returns the sequence resulting from applying the given function `f` to each element of this sequence.
`protected abstract def` | newArray (length : Int, elements : Iterator[Any]) : BoxedArray
`override def` | projection : Projection[Any] returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.
`override final def` | stringPrefix : java.lang.String Defines the prefix of this object's `toString` representation.
`abstract def` | subArray (from : Int, end : Int) : AnyRef
`override def` | takeWhile (p : (Any) => Boolean) : Projection[Any] Returns the longest prefix of this sequence whose elements satisfy the predicate `p`.
`abstract def` | unbox (elemTag : java.lang.String) : AnyRef
`abstract def` | unbox (elemClass : java.lang.Class) : AnyRef
`abstract def` | update (index : Int, elem : Any) : Unit Update element at given index
`abstract def` | value : AnyRef The underlying array value
`final def` | zip [b](that : Array[b]) : Array[(Any, b)]
`final def` | zipWithIndex : Array[(Any, Int)]

Methods inherited from Array0
slice, take, drop, reverse

Methods inherited from Mutable
readOnly

Methods inherited from RandomAccessSeq
patch, toStream, safeIs

Methods inherited from Seq
lengthCompare, size, isEmpty, concat, last, lastOption, headOption, lastIndexOf, filter, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
toString

Methods inherited from Iterable
partition, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, mkString, addString, addString, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`abstract` `def` length : Int

  The length of the array

`abstract` `def` apply(index : Int) : Any

  The element at given index

`abstract` `def` update(index : Int, elem : Any) : Unit

  Update element at given index

`abstract` `def` unbox(elemTag : java.lang.String) : AnyRef

`abstract` `def` unbox(elemClass : java.lang.Class) : AnyRef

`override` `def` isDefinedAt(x : Int) : Boolean

  Is this partial function defined for the index `x`?

Parameters
  `x -` ..
Returns
  `true`, iff `x` is a legal sequence index.

`override` `def` elements : Iterator[Any]

  Creates a new iterator over all elements contained in this object.

Returns
  the new iterator

`abstract` `def` value : AnyRef

  The underlying array value

`` `def` copyFrom(src : AnyRef, from : Int, to : Int, len : Int) : Unit

`` `def` copyTo(from : Int, dest : AnyRef, to : Int, len : Int) : Unit

`override` `def` copyToArray[B](xs : Array[B], start : Int) : Unit

  Fills the given array `xs` with the elements of this sequence starting at position `start`.

Parameters
  `xs -` the array to fill.
  `start -` starting index.
Precondition
  the array must be large enough to hold all elements.

`abstract` `def` subArray(from : Int, end : Int) : AnyRef

`override final` `def` map[b](f : (Any) => b) : Array[b]

  Returns the sequence resulting from applying the given function `f` to each element of this sequence.

Parameters
  `f -` function to apply to each element.
Returns
  `f(a0), ..., f(an)` if this sequence is `a0, ..., an`.

`override final` `def` flatMap[b](f : (Any) => Iterable[b]) : Array[b]

  Applies the given function `f` to each element of this sequence, then concatenates the results.

Parameters
  `f -` the function to apply on each element.
Returns
  `f(a0) ::: ... ::: f(an)` if this sequence is `a0, ..., an`.

`override final` `def` ++[b >: Any](that : Iterable[b]) : Array[b]

  Appends two iterable objects.

`final` `def` zip[b](that : Array[b]) : Array[(Any, b)]

`final` `def` zipWithIndex : Array[(Any, Int)]

`` `def` indices : Array[Int]

  Returns an array that contains all indices of this array

`override` `def` takeWhile(p : (Any) => Boolean) : Projection[Any]

  Returns the longest prefix of this sequence whose elements satisfy the predicate `p`.

Parameters
  `p -` the test predicate.
Returns
  the longest prefix of this sequence whose elements satisfy the predicate `p`.

`override` `def` dropWhile(p : (Any) => Boolean) : Projection[Any]

  Returns the longest suffix of this sequence whose first element does not satisfy the predicate `p`.

Parameters
  `p -` the test predicate.
Returns
  the longest suffix of the sequence whose first element does not satisfy the predicate `p`.

`final` `def` deepToString : java.lang.String

`final` `def` deepMkString(start : java.lang.String, sep : java.lang.String, end : java.lang.String) : java.lang.String

`final` `def` deepMkString(sep : java.lang.String) : java.lang.String

`final` `def` deepEquals(that : Any) : Boolean

`override final` `def` stringPrefix : java.lang.String

  Defines the prefix of this object's `toString` representation.

`protected abstract` `def` newArray(length : Int, elements : Iterator[Any]) : BoxedArray

`override` `def` projection : Projection[Any]

  returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  Array0.projection